std::numeric_limits< char16_t > Struct Reference

`#include <limits>`

Inheritance diagram for std::numeric_limits< char16_t >:
[legend]

## Static Public Member Functions

static constexpr char16_t | denorm_min () noexcept
static constexpr char16_t | epsilon () noexcept
static constexpr char16_t | infinity () noexcept
static constexpr char16_t | lowest () noexcept
static constexpr char16_t | max () noexcept
static constexpr char16_t | min () noexcept
static constexpr char16_t | quiet_NaN () noexcept
static constexpr char16_t | round_error () noexcept
static constexpr char16_t | signaling_NaN () noexcept

## Static Public Attributes

static constexpr int | digits
static constexpr int | digits
static constexpr int | digits10
static constexpr int | digits10
static constexpr float_denorm_style | has_denorm
static constexpr float_denorm_style | has_denorm
static constexpr bool | has_denorm_loss
static constexpr bool | has_denorm_loss
static constexpr bool | has_infinity
static constexpr bool | has_infinity
static constexpr bool | has_quiet_NaN
static constexpr bool | has_quiet_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | is_bounded
static constexpr bool | is_bounded
static constexpr bool | is_exact
static constexpr bool | is_exact
static constexpr bool | is_iec559
static constexpr bool | is_iec559
static constexpr bool | is_integer
static constexpr bool | is_integer
static constexpr bool | is_modulo
static constexpr bool | is_modulo
static constexpr bool | is_signed
static constexpr bool | is_signed
static constexpr bool | is_specialized
static constexpr bool | is_specialized
static constexpr int | max_digits10
static constexpr int | max_digits10
static constexpr int | max_exponent
static constexpr int | max_exponent
static constexpr int | max_exponent10
static constexpr int | max_exponent10
static constexpr int | min_exponent
static constexpr int | min_exponent
static constexpr int | min_exponent10
static constexpr int | min_exponent10
static constexpr int | radix
static constexpr int | radix
static constexpr float_round_style | round_style
static constexpr float_round_style | round_style
static constexpr bool | tinyness_before
static constexpr bool | tinyness_before
static constexpr bool | traps
static constexpr bool | traps

## Detailed Description

numeric_limits<char16_t> specialization.

Definition at line 797 of file limits.

## Member Function Documentation

## denorm_min()

constexpr char16_t std::numeric_limits< char16_t >::denorm_min | ( |  | ) |

inline static constexpr noexcept

Definition at line 845 of file limits.

## epsilon()

constexpr char16_t std::numeric_limits< char16_t >::epsilon | ( |  | ) |

inline static constexpr noexcept

Definition at line 819 of file limits.

## infinity()

constexpr char16_t std::numeric_limits< char16_t >::infinity | ( |  | ) |

inline static constexpr noexcept

Definition at line 836 of file limits.

## lowest()

constexpr char16_t std::numeric_limits< char16_t >::lowest | ( |  | ) |

inline static constexpr noexcept

Definition at line 808 of file limits.

## max()

constexpr char16_t std::numeric_limits< char16_t >::max | ( |  | ) |

inline static constexpr noexcept

Definition at line 805 of file limits.

## min()

constexpr char16_t std::numeric_limits< char16_t >::min | ( |  | ) |

inline static constexpr noexcept

Definition at line 802 of file limits.

## quiet_NaN()

constexpr char16_t std::numeric_limits< char16_t >::quiet_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 839 of file limits.

## round_error()

constexpr char16_t std::numeric_limits< char16_t >::round_error | ( |  | ) |

inline static constexpr noexcept

Definition at line 822 of file limits.

## signaling_NaN()

constexpr char16_t std::numeric_limits< char16_t >::signaling_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 842 of file limits.

## Member Data Documentation

## digits [1/2]

int std::numeric_limits< char16_t >::digits

static constexpr

Definition at line 810 of file limits.

## digits [2/2]

int std::__numeric_limits_base::digits

static constexpr

The number of `radix` digits that be represented without change: for integer types, the number of non-sign bits in the mantissa; for floating types, the number of `radix` digits in the mantissa.

Definition at line 211 of file limits.

## digits10 [1/2]

int std::numeric_limits< char16_t >::digits10

static constexpr

Definition at line 811 of file limits.

## digits10 [2/2]

int std::__numeric_limits_base::digits10

static constexpr

The number of base 10 digits that can be represented without change.

Definition at line 214 of file limits.

## has_denorm [1/2]

float_denorm_style std::numeric_limits< char16_t >::has_denorm

static constexpr

Definition at line 832 of file limits.

## has_denorm [2/2]

float_denorm_style std::__numeric_limits_base::has_denorm

static constexpr

See std::float_denorm_style for more information.

Definition at line 266 of file limits.

## has_denorm_loss [1/2]

bool std::numeric_limits< char16_t >::has_denorm_loss

static constexpr

Definition at line 833 of file limits.

## has_denorm_loss [2/2]

bool std::__numeric_limits_base::has_denorm_loss

static constexpr

True if loss of accuracy is detected as a denormalization loss, rather than as an inexact result.

Definition at line 270 of file limits.

## has_infinity [1/2]

bool std::numeric_limits< char16_t >::has_infinity

static constexpr

Definition at line 829 of file limits.

## has_infinity [2/2]

bool std::__numeric_limits_base::has_infinity

static constexpr

True if the type has a representation for positive infinity.

Definition at line 255 of file limits.

## has_quiet_NaN [1/2]

bool std::numeric_limits< char16_t >::has_quiet_NaN

static constexpr

Definition at line 830 of file limits.

## has_quiet_NaN [2/2]

bool std::__numeric_limits_base::has_quiet_NaN

static constexpr

True if the type has a representation for a quiet (non-signaling) Not a Number.

Definition at line 259 of file limits.

## has_signaling_NaN [1/2]

bool std::numeric_limits< char16_t >::has_signaling_NaN

static constexpr

Definition at line 831 of file limits.

## has_signaling_NaN [2/2]

bool std::__numeric_limits_base::has_signaling_NaN

static constexpr

True if the type has a representation for a signaling Not a Number.

Definition at line 263 of file limits.

## is_bounded [1/2]

bool std::numeric_limits< char16_t >::is_bounded

static constexpr

Definition at line 848 of file limits.

## is_bounded [2/2]

bool std::__numeric_limits_base::is_bounded

static constexpr

True if the set of values representable by the type is finite. All built-in types are bounded, this member would be false for arbitrary precision types.

Definition at line 279 of file limits.

## is_exact [1/2]

bool std::numeric_limits< char16_t >::is_exact

static constexpr

Definition at line 815 of file limits.

## is_exact [2/2]

bool std::__numeric_limits_base::is_exact

static constexpr

True if the type uses an exact representation. All integer types are exact, but not all exact types are integer. For example, rational and fixed-exponent representations are exact but not integer.

Definition at line 231 of file limits.

## is_iec559 [1/2]

bool std::numeric_limits< char16_t >::is_iec559

static constexpr

Definition at line 847 of file limits.

## is_iec559 [2/2]

bool std::__numeric_limits_base::is_iec559

static constexpr

True if-and-only-if the type adheres to the IEC 559 standard, also known as IEEE 754. (Only makes sense for floating point types.)

Definition at line 274 of file limits.

## is_integer [1/2]

bool std::numeric_limits< char16_t >::is_integer

static constexpr

Definition at line 814 of file limits.

## is_integer [2/2]

bool std::__numeric_limits_base::is_integer

static constexpr

True if the type is integer.

Definition at line 226 of file limits.

## is_modulo [1/2]

bool std::numeric_limits< char16_t >::is_modulo

static constexpr

Definition at line 849 of file limits.

## is_modulo [2/2]

bool std::__numeric_limits_base::is_modulo

static constexpr

True if the type is modulo. A type is modulo if, for any operation involving +, -, or * on values of that type whose result would fall outside the range [min(),max()], the value returned differs from the true value by an integer multiple of max() - min() + 1. On most machines, this is false for floating types, true for unsigned integers, and true for signed integers. See PR22200 about signed integers.

Definition at line 288 of file limits.

## is_signed [1/2]

bool std::numeric_limits< char16_t >::is_signed

static constexpr

Definition at line 813 of file limits.

## is_signed [2/2]

bool std::__numeric_limits_base::is_signed

static constexpr

True if the type is signed.

Definition at line 223 of file limits.

## is_specialized [1/2]

bool std::numeric_limits< char16_t >::is_specialized

static constexpr

Definition at line 799 of file limits.

## is_specialized [2/2]

bool std::__numeric_limits_base::is_specialized

static constexpr

This will be true for all fundamental types (which have specializations), and false for everything else.

Definition at line 206 of file limits.

## max_digits10 [1/2]

int std::numeric_limits< char16_t >::max_digits10

static constexpr

Definition at line 812 of file limits.

## max_digits10 [2/2]

int std::__numeric_limits_base::max_digits10

static constexpr

The number of base 10 digits required to ensure that values which differ are always differentiated.

Definition at line 219 of file limits.

## max_exponent [1/2]

int std::numeric_limits< char16_t >::max_exponent

static constexpr

Definition at line 826 of file limits.

## max_exponent [2/2]

int std::__numeric_limits_base::max_exponent

static constexpr

The maximum positive integer such that `radix` raised to the power of (one less than that integer) is a representable finite floating point number.

Definition at line 248 of file limits.

## max_exponent10 [1/2]

int std::numeric_limits< char16_t >::max_exponent10

static constexpr

Definition at line 827 of file limits.

## max_exponent10 [2/2]

int std::__numeric_limits_base::max_exponent10

static constexpr

The maximum positive integer such that 10 raised to that power is in the range of representable finite floating point numbers.

Definition at line 252 of file limits.

## min_exponent [1/2]

int std::numeric_limits< char16_t >::min_exponent

static constexpr

Definition at line 824 of file limits.

## min_exponent [2/2]

int std::__numeric_limits_base::min_exponent

static constexpr

The minimum negative integer such that `radix` raised to the power of (one less than that integer) is a normalized floating point number.

Definition at line 239 of file limits.

## min_exponent10 [1/2]

int std::numeric_limits< char16_t >::min_exponent10

static constexpr

Definition at line 825 of file limits.

## min_exponent10 [2/2]

int std::__numeric_limits_base::min_exponent10

static constexpr

The minimum negative integer such that 10 raised to that power is in the range of normalized floating point numbers.

Definition at line 243 of file limits.

## radix [1/2]

int std::numeric_limits< char16_t >::radix

static constexpr

Definition at line 816 of file limits.

## radix [2/2]

int std::__numeric_limits_base::radix

static constexpr

For integer types, specifies the base of the representation. For floating types, specifies the base of the exponent representation.

Definition at line 235 of file limits.

## round_style [1/2]

float_round_style std::numeric_limits< char16_t >::round_style

static constexpr

Definition at line 853 of file limits.

## round_style [2/2]

float_round_style std::__numeric_limits_base::round_style

static constexpr

See std::float_round_style for more information. This is only meaningful for floating types; integer types will all be round_toward_zero.

Definition at line 299 of file limits.

## tinyness_before [1/2]

bool std::numeric_limits< char16_t >::tinyness_before

static constexpr

Definition at line 852 of file limits.

## tinyness_before [2/2]

bool std::__numeric_limits_base::tinyness_before

static constexpr

True if tininess is detected before rounding. (see IEC 559)

Definition at line 294 of file limits.

## traps [1/2]

bool std::numeric_limits< char16_t >::traps

static constexpr

Definition at line 851 of file limits.

## traps [2/2]

bool std::__numeric_limits_base::traps

static constexpr

True if trapping is implemented for this type.

Definition at line 291 of file limits.

The documentation for this struct was generated from the following file:

- limits